View Issue Details

IDProjectCategoryView StatusLast Update
0005907Simple:Presserror handlingpublic2018-07-01 16:36
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.8 
Target Version5.8Fixed in Version5.8 
Summary0005907: possible for error class to need other classes before loaded
Descriptionbefore using, should make sure they are set up... this could be for install or upgrade errors...
TagsNo tags attached.
change_log_textmake sure error class has needed classes instantiated in case it gets invoked before the spl autoloader has done its thing
typedefect

Activities

svn

svn

2018-06-25 00:24

administrator   ~0019818

Changeset [15655] by steve on 2018-06-24 20:24:05 -0400 (Sun, 24 Jun 2018)

test issue 0005907 make sure error class has needed classes instantiated in case it gets invoked before the spl autoloader has done its thing

 Changed Files:

U trunk/sp-api/sp-api-class-spcerror.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15655

Issue History

Date Modified Username Field Change
2018-06-25 00:12 Mr Papa New Issue
2018-06-25 00:12 Mr Papa Assigned To => Mr Papa
2018-06-25 00:12 Mr Papa Status new => assigned
2018-06-25 00:24 svn =>
2018-06-25 00:24 svn Note Added: 0019818
2018-06-25 00:24 svn Status assigned => testing
2018-07-01 16:36 Mr Papa Status testing => closed
2018-07-01 16:36 Mr Papa Resolution open => fixed
2018-07-01 16:36 Mr Papa Fixed in Version => 5.8
2018-07-01 16:36 Mr Papa change_log_text update => make sure error class has needed classes instantiated in case it gets invoked before the spl autoloader has done its thing